Name:           perl-Marpa-XS
Version:        1.008000
Release:        4%{?dist}
Summary:        Language grammar parser module for Perl
License:        LGPLv3+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Marpa-XS/
Source0:        http://www.cpan.org/authors/id/J/JK/JKEGL/Marpa-XS-%{version}.tar.gz
Patch1:         0001-Require-2.124-Data-Dumper.patch
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.27
BuildRequires:  perl(Fatal)
BuildRequires:  perl(File::Spec) >= 0.82
BuildRequires:  perl-Glib-devel
BuildRequires:  perl(Glib::Install::Files)
BuildRequires:  perl(IPC::Cmd)
BuildRequires:  perl(lib)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Time::Piece)
# Run-time
BuildRequires:  perl >= 4:5.10
BuildRequires:  perl(Carp) >= 1.08
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper) >= 2.125
BuildRequires:  perl(ExtUtils::PkgConfig) >= 1.12
BuildRequires:  perl(Glib) >= 1.223
# Bareword Glib::Log exported from Glib probably
BuildRequires:  perl(List::Util) >= 1.21
BuildRequires:  perl(Scalar::Util) >= 1.21
# Using ExtUtils::PkgConfig instead of perl(XSLoader)
BuildRequires:  pkgconfig(glib-2.0)
# Tests
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(YAML::XS)
# Optional tests
BuildRequires:  perl(PPI) >= 1.206
BuildRequires:  perl(PPI::Document)
BuildRequires:  perl(Task::Weaken)
# perl(Test::Weaken) >= 3.004000 not packaged yet
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# AFAIK the PPI is used at test-time only. Do not require it?
Requires:       perl(PPI) >= 1.206
Provides:       perl(Marpa::XS::Version) = %{version}

%{?perl_default_filter}

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Carp\\)$
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Marpa::XS\\)$
  

%description
Marpa::XS is a XS version of Marpa.

Marpa parses any language whose grammar can be written in BNF. That 
includes recursive grammars, ambiguous grammars, infinitely ambiguous 
grammars and grammars with useless or empty productions.


%prep
%setup -q -n Marpa-XS-%{version}
%patch1 -p1


%build
%{__perl} Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build


%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test


%files
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Marpa*
%{_mandir}/man3/*
%doc Changes COPYING COPYING.LESSER LICENSE README


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.008000-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.008000-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 19 2012 Petr Pisar <ppisar@redhat.com> - 1.008000-2
- Perl 5.16 rebuild

* Fri Apr  6 2012 Marcela Mašláňová <mmaslano@redhat.com> - 1.008000-1
- bump to 1.008000

* Wed Mar 14 2012 Petr Pisar <ppisar@redhat.com> - 1.006000-1
- 1.006000 bump

* Mon Feb 27 2012 Petr Pisar <ppisar@redhat.com> - 1.004000-1
- 1.004000 bump
- Clean spec file
- Declare all dependencies

* Mon Feb 13 2012 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> 1.002000-2.1
- BR IPC::Cmd

* Thu Jan 12 2012 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> 1.002000-2
- Add a missing BR (Marcela Mašláňová, #772503)
- Filter out redundant provides/requires (Marcela Mašláňová, #772503)

* Tue Jan 03 2012 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> 1.002000-1
- Specfile autogenerated by cpanspec 1.78.
- Cosmetic fixes
